Package com.usatiuk.dhfsfuse

# Class DhfsFuse

java.lang.Object
ru.serce.jnrfuse.AbstractFuseFS
ru.serce.jnrfuse.FuseStubFS
com.usatiuk.dhfsfuse.DhfsFuse

All Implemented Interfaces:
  `ru.serce.jnrfuse.FuseFS`, `ru.serce.jnrfuse.Mountable`

@ApplicationScoped public class DhfsFuse extends ru.serce.jnrfuse.FuseStubFS

## Field Summary

### Fields inherited from class ru.serce.jnrfuse.AbstractFuseFS

`fuseOperations, libFuse, mounted, mountPoint`

## Constructor Summary

Constructors
Constructor
Description
`DhfsFuse()`

## Method Summary

Modifier and Type
Method
Description
`int`
`chmod(String path, long mode)`
`int`
`chown(String path, long uid, long gid)`
`int`
`create(String path, long mode, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`getattr(String path, ru.serce.jnrfuse.struct.FileStat stat)`
`int`
`mkdir(String path, long mode)`
`int`
`open(String path, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`read(String path, jnr.ffi.Pointer buf, long size, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`readdir(String path, jnr.ffi.Pointer buf, ru.serce.jnrfuse.FuseFillDir filler, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`readlink(String path, jnr.ffi.Pointer buf, long size)`
`int`
`release(String path, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`rename(String path, String newName)`
`int`
`rmdir(String path)`
`int`
`statfs(String path, ru.serce.jnrfuse.struct.Statvfs stbuf)`
`int`
`symlink(String oldpath, String newpath)`
`int`
`truncate(String path, long size)`
`int`
`unlink(String path)`
`int`
`utimens(String path, ru.serce.jnrfuse.struct.Timespec[] timespec)`
`int`
`write(String path, ByteBuffer buffer, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`write(String path, jnr.ffi.Pointer buf, long size, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)`
`int`
`write_buf(String path, ru.serce.jnrfuse.struct.FuseBufvec buf, long off, ru.serce.jnrfuse.struct.FuseFileInfo fi)`

### Methods inherited from class ru.serce.jnrfuse.FuseStubFS

`access, bmap, destroy, fallocate, fgetattr, flock, flush, fsync, fsyncdir, ftruncate, getxattr, init, ioctl, link, listxattr, lock, mknod, opendir, poll, read_buf, releasedir, removexattr, setxattr`

### Methods inherited from class ru.serce.jnrfuse.AbstractFuseFS

`getContext, getFSName, mount, umount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ru.serce.jnrfuse.Mountable

`mount, mount, mount`

## Constructor Details

### DhfsFuse

public DhfsFuse()

## Method Details

### statfs

public int statfs(String path, ru.serce.jnrfuse.struct.Statvfs stbuf)

Specified by:
  `statfs` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `statfs` in class `ru.serce.jnrfuse.FuseStubFS`

### getattr

public int getattr(String path, ru.serce.jnrfuse.struct.FileStat stat)

Specified by:
  `getattr` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `getattr` in class `ru.serce.jnrfuse.FuseStubFS`

### utimens

public int utimens(String path, ru.serce.jnrfuse.struct.Timespec[] timespec)

Specified by:
  `utimens` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `utimens` in class `ru.serce.jnrfuse.FuseStubFS`

### open

public int open(String path, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `open` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `open` in class `ru.serce.jnrfuse.FuseStubFS`

### release

public int release(String path, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `release` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `release` in class `ru.serce.jnrfuse.FuseStubFS`

### read

public int read(String path, jnr.ffi.Pointer buf, long size, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `read` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `read` in class `ru.serce.jnrfuse.FuseStubFS`

### write

public int write(String path, jnr.ffi.Pointer buf, long size, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `write` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `write` in class `ru.serce.jnrfuse.FuseStubFS`

### write

public int write(String path, ByteBuffer buffer, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)

### create

public int create(String path, long mode, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `create` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `create` in class `ru.serce.jnrfuse.FuseStubFS`

### mkdir

public int mkdir(String path, long mode)

Specified by:
  `mkdir` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `mkdir` in class `ru.serce.jnrfuse.FuseStubFS`

### rmdir

public int rmdir(String path)

Specified by:
  `rmdir` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `rmdir` in class `ru.serce.jnrfuse.FuseStubFS`

### rename

public int rename(String path, String newName)

Specified by:
  `rename` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `rename` in class `ru.serce.jnrfuse.FuseStubFS`

### unlink

public int unlink(String path)

Specified by:
  `unlink` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `unlink` in class `ru.serce.jnrfuse.FuseStubFS`

### truncate

public int truncate(String path, long size)

Specified by:
  `truncate` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `truncate` in class `ru.serce.jnrfuse.FuseStubFS`

### chmod

public int chmod(String path, long mode)

Specified by:
  `chmod` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `chmod` in class `ru.serce.jnrfuse.FuseStubFS`

### readdir

public int readdir(String path, jnr.ffi.Pointer buf, ru.serce.jnrfuse.FuseFillDir filler, long offset, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `readdir` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `readdir` in class `ru.serce.jnrfuse.FuseStubFS`

### readlink

public int readlink(String path, jnr.ffi.Pointer buf, long size)

Specified by:
  `readlink` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `readlink` in class `ru.serce.jnrfuse.FuseStubFS`

### chown

public int chown(String path, long uid, long gid)

Specified by:
  `chown` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `chown` in class `ru.serce.jnrfuse.FuseStubFS`

### symlink

public int symlink(String oldpath, String newpath)

Specified by:
  `symlink` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `symlink` in class `ru.serce.jnrfuse.FuseStubFS`

### write_buf

public int write_buf(String path, ru.serce.jnrfuse.struct.FuseBufvec buf, long off, ru.serce.jnrfuse.struct.FuseFileInfo fi)

Specified by:
  `write_buf` in interface `ru.serce.jnrfuse.FuseFS`
Overrides:
  `write_buf` in class `ru.serce.jnrfuse.FuseStubFS`